Get specific flow version - SuperAI Flows
Get Specific Flow Version
cURL
curl --request GET \
--url https://flows.super.ai/api/flows/{flow_id}/versions/{version} \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'
Python
import requests
url = "https://flows.super.ai/api/flows/{flow_id}/versions/{version}"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://flows.super.ai/api/flows/{flow_id}/versions/{version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flows.super.ai/api/flows/{flow_id}/versions/{version}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://flows.super.ai/api/flows/{flow_id}/versions/{version}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://flows.super.ai/api/flows/{flow_id}/versions/{version}")
.header("X-API-Key", "<api-key>")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://flows.super.ai/api/flows/{flow_id}/versions/{version}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Example Response
{
"created_at": "2023-11-07T05:31:56Z",
"definition": {},
"display_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_latest": true,
"modified_by": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 2,
"description": "<string>",
"flow_executions_count": 0,
"settings": {
"reexecute_on_update": false,
"ttl": {}
},
"task_names": [
"<string>"
],
"validation_errors": [
{
"input": "<unknown>",
"loc": [
123
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"url": "<string>"
}
]
}
Authorizations
- X-API-Key: Include your API key in the X-API-Key header as:
X-API-Key YOUR_API_KEY
- Authorization: Include your access token in the Authorization header as:
Bearer YOUR_ACCESS_TOKEN
Path Parameters
- flow_id: Required, string (uuid)
- version: Required, integer
Query Parameters
- include_ordered_task_names: boolean, default: false
- include_validation_errors: boolean, default: false
- include_dynamic_data: boolean, default: false
- include_output_schemas: boolean, default: false
- include_input_schema: boolean, default: false
Response
- 200 OK: Flow version successfully retrieved.
- Response model for a flow object includes metadata, execution statistics, and optional computed fields.